<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

$uz=check($uz);

echo'<img src="../images/img/profiles.gif" alt=""> <b>Поиск пользователей</b><br><br>';

##########################################################################
##                        Главная страница                              ##
##########################################################################
if(!isset($action)) {

if($config_themes!="wml"){
echo '<form method="post" action="searchuser.php?action=search&amp;'.SID.'">';
echo 'Логин или ник юзера:<br><input name="uz" /><br>';
echo 'Искать:<br>';
echo '<input name="ftype" type="radio" value="1" checked> По логину<br>';
echo '<input name="ftype" type="radio" value="2"> По нику<br>';
echo '<input name="ftype" type="radio" value="3"> По ICQ<br>';
echo '<input name="ftype" type="radio" value="4"> По IP-адресу<br><br>';
echo '<input value="Поиск" type="submit" /></form><hr>';

}else{

echo 'Логин или ник юзера:<br><input name="uz" /><br>';
echo 'Искать: <br><select name="ftype">';
echo '<option value="1">По логину</option>';
echo '<option value="2">По нику</option>';
echo '<option value="3">По ICQ</option>';
echo '<option value="4">По IP-адресу</option></select><br>';
echo '<anchor>Поиск';
echo '<go href="searchuser.php?action=search&amp;'.SID.'" method="post">';
echo '<postfield name="uz" value="$(uz)"/>';
echo '<postfield name="ftype" value="$(ftype)"/>';
echo '</go></anchor><br>--------------------<br><br>';
}
echo '<br>Если результат поиска ничего не дал, тогда можно поискать по первым символам логина или ника<br>';
echo 'В этом случае будет выдан результат похожий на введенный вами запрос<br>';
}


##########################################################################
##                         Поиск пользователя                           ##
##########################################################################
if($action=="search"){
if($uz!=""){

//------------------------------ НОВАЯ ФУНКЦИЯ КЕШИРОВАНИЯ ------------------------------//
$filtime=filemtime(BASEDIR."local/datatmp/searchuser.dat");
$userfile=file("../local/datatmp/searchuser.dat");
$user_count=count($userfile);

$filtime=$filtime+(3600*$config_usersearchcache);

if($sitetime>$filtime || $user_count<50){

$dir = opendir (BASEDIR."local/profil"); 
while ($file = readdir ($dir)) {
if (ereg (".prof$", $file)) {
$arr_users[]=$file;
}} 
closedir ($dir); 		

sort($arr_users);

clear_files(BASEDIR."local/datatmp/searchuser.dat");

$fp = fopen(BASEDIR."local/datatmp/searchuser.dat","a+");
flock ($fp,LOCK_EX);

foreach($arr_users as $k=>$v){
$tex = file(BASEDIR."local/profil/$v");
$data = explode(":||:",$tex[0]);

if($data[0]!=""){ 

$data[0]=check($data[0]);
$data[65]=check($data[65]);
$data[14]=check($data[14]);
$data[19]=preg_replace("/[^0-9.]/", "", $data[19]);

$dat_fputs='|'.$data[0].'|'.$data[65].'|'.$data[19].'|'.$data[14].'|';	
fputs($fp,"$dat_fputs\r\n"); 
}
}

fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0666); 
chmod (BASEDIR."local/datatmp/searchuser.dat", 0666);  

}

$userfile=file("../local/datatmp/searchuser.dat");
foreach($userfile as $k=>$v){
$data = explode("|",$v);

$uzlog[]=$data[1];
$uznick[]=$data[2];
$uzicq[]=$data[3];
$uzip[]=$data[4];
}

//----------------------------- Поиск по логину --------------------------------------//
if($ftype==1){

$searchfile=file(BASEDIR."local/profil/$uz.prof");
if($searchfile){ 
$udata = explode(":||:",$searchfile[0]);

echo 'Пользователь с логином <b>'.$uz.'</b> найден!<br><br>';
echo '<img src="../images/img/chel.gif" alt=""> <a href="anketa.php?uz='.$uz.'&amp;'.SID.'">Перейти к анкете</a><br>';

echo '<img src="../images/img/chat.gif" alt=""> <a href="kontakt.php?action=add&amp;uz='.$uz.'&amp;'.SID.'">Добавить в контакт</a><br>';
echo '<img src="../images/img/ignor.gif" alt=""> <a href="ignor.php?action=add&amp;uz='.$uz.'&amp;'.SID.'">Добавить в игнор</a><br>';
echo '<img src="../images/img/mail.gif" alt=""> <a href="privat.php?action=submit&amp;uz='.$uz.'&amp;'.SID.'">Приватное сообщение</a><br>';
echo '<img src="../images/img/many.gif" alt=""> <a href="../games/perevod.php?uz='.$uz.'&amp;'.SID.'">Перечислить денег</a><br>';

}else{

echo 'Пользователь с логином <b>'.$uz.'</b> не найден!<br><br>';

foreach($uzlog as $v){
if (stristr($v,$uz)){
echo 'Возможно вы искали пользователя <b><a href="anketa.php?uz='.$v.'&amp;'.SID.'">'.$v.'</a></b><br>'; 
break;
}}
echo 'Попробуйте поискать также по нику<br>';
}}


//----------------------------- Поиск по нику -----------------------------------//
if($ftype==2){

$user=0;

foreach($uznick as $k=>$v){
if($uz==$v){

echo 'Пользователь с ником <b>'.$uz.' ('.$uzlog[$k].')</b> найден!<br><br>';
echo '<img src="../images/img/chel.gif" alt=""> <a href="anketa.php?uz='.$uzlog[$k].'&amp;'.SID.'">Перейти к анкете</a><br>';

echo '<img src="../images/img/chat.gif" alt=""> <a href="kontakt.php?action=add&amp;uz='.$uzlog[$k].'&amp;'.SID.'">Добавить в контакт</a><br>';
echo '<img src="../images/img/ignor.gif" alt=""> <a href="ignor.php?action=add&amp;uz='.$uzlog[$k].'&amp;'.SID.'">Добавить в игнор</a><br>';
echo '<img src="../images/img/mail.gif" alt=""> <a href="privat.php?action=submit&amp;uz='.$uzlog[$k].'&amp;'.SID.'">Приватное сообщение</a><br>';
echo '<img src="../images/img/many.gif" alt=""> <a href="../games/perevod.php?uz='.$uzlog[$k].'&amp;'.SID.'">Перечислить денег</a><br>';
$user=1;
break;
}
}


if($user==0){
echo 'Пользователь с ником <b>'.$uz.'</b> не найден!<br><br>';

foreach($uznick as $k=>$v){

$tolv=rus_utf_tolower($v);
$toluz=rus_utf_tolower($uz);

if (strstr($v,$toluz)){
echo 'Возможно вы искали пользователя <b><a href="anketa.php?uz='.$uzlog[$k].'&amp;'.SID.'">'.$v.'</a></b><br>'; 
break;
}}
echo 'Попробуйте поискать также по логину<br>';
}}

//----------------------------- Поиск по ICQ -----------------------------------//
if($ftype==3){
$user=0;
$icq=preg_replace("/[^0-9.]/", "", $uz);

foreach($uzicq as $k=>$v){
if($icq==$v){



echo 'Пользователь с ICQ <b>'.$uz.' ('.$uzlog[$k].')</b> найден!<br><br>';
echo '<img src="../images/img/chel.gif" alt=""> <a href="anketa.php?uz='.$uzlog[$k].'&amp;'.SID.'">Перейти к анкете</a><br>';

echo '<img src="../images/img/chat.gif" alt=""> <a href="kontakt.php?action=add&amp;uz='.$uzlog[$k].'&amp;'.SID.'">Добавить в контакт</a><br>';
echo '<img src="../images/img/ignor.gif" alt=""> <a href="ignor.php?action=add&amp;uz='.$uzlog[$k].'&amp;'.SID.'">Добавить в игнор</a><br>';
echo '<img src="../images/img/mail.gif" alt=""> <a href="privat.php?action=submit&amp;uz='.$uzlog[$k].'&amp;'.SID.'">Приватное сообщение</a><br>';
echo '<img src="../images/img/many.gif" alt=""> <a href="../games/perevod.php?uz='.$uzlog[$k].'&amp;'.SID.'">Перечислить денег</a><br>';
$user=1;
break;
}
}

if($user==0){
echo 'Пользователь с ICQ <b>'.$uz.'</b> не найден!<br>';
}

}

//----------------------------- Поиск по IP -----------------------------------//
if($ftype==4){
$user=0;

foreach($uzip as $k=>$v){
if($uz==$v){

echo 'Пользователь с IP <b>'.$uz.' ('.$uzlog[$k].')</b> найден!<br><br>';
echo '<img src="../images/img/chel.gif" alt=""> <a href="anketa.php?uz='.$uzlog[$k].'&amp;'.SID.'">Перейти к анкете</a><br>';

echo '<img src="../images/img/chat.gif" alt=""> <a href="kontakt.php?action=add&amp;uz='.$uzlog[$k].'&amp;'.SID.'">Добавить в контакт</a><br>';
echo '<img src="../images/img/ignor.gif" alt=""> <a href="ignor.php?action=add&amp;uz='.$uzlog[$k].'&amp;'.SID.'">Добавить в игнор</a><br>';
echo '<img src="../images/img/mail.gif" alt=""> <a href="privat.php?action=submit&amp;uz='.$uzlog[$k].'&amp;'.SID.'">Приватное сообщение</a><br>';
echo '<img src="../images/img/many.gif" alt=""> <a href="../games/perevod.php?uz='.$uzlog[$k].'&amp;'.SID.'">Перечислить денег</a><br>';
$user=1;
break;
}
}

if($user==0){
echo 'Пользователь с IP <b>'.$uz.'</b> не найден!<br>';
}
}

}else{echo 'Ошибка! Вы не ввели логин или ник пользователя!<br>';}
echo'<br><img src="../images/img/back.gif" alt=""> <a href="searchuser.php?'.SID.'">Вернуться</a>';
}

echo'<br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>